classification
Title: update Unicode database to 11.0
Type: enhancement Stage: resolved
Components: Unicode Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, ezio.melotti, miss-islington, ned.deily, vstinner
Priority: normal Keywords: patch

Created on 2018-06-06 03:10 by benjamin.peterson, last changed 2018-06-07 14:50 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7439 merged benjamin.peterson, 2018-06-06 03:28
PR 7470 merged miss-islington, 2018-06-07 07:11
PR 7480 merged benjamin.peterson, 2018-06-07 14:15
PR 7482 merged miss-islington, 2018-06-07 14:22
Messages (10)
msg318799 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-06 03:10
http://blog.unicode.org/2018/06/announcing-unicode-standard-version-110.html
msg318802 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-06 08:46
Benjamin: would you mind to explain how to update Unicode in Python? I would like to document it, if you are not available for example, or don't want to do it anymore.

I'm asking for my general idea of having at least two maintainers per "CPython maintenance task":
http://vstinner.readthedocs.io/cpython_tasks.html
msg318878 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-07 03:14
New changeset 7c69c1c0fba8c1c8ff3969bce4c1135736a4cc58 by Benjamin Peterson in branch 'master':
update to Unicode 11.0.0 (closes bpo-33778) (GH-7439)
https://github.com/python/cpython/commit/7c69c1c0fba8c1c8ff3969bce4c1135736a4cc58
msg318879 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-07 03:14
Sure, where do you think such documentation belongs?

On Wed, Jun 6, 2018, at 01:46, STINNER Victor wrote:
> 
> STINNER Victor <vstinner@redhat.com> added the comment:
> 
> Benjamin: would you mind to explain how to update Unicode in Python? I 
> would like to document it, if you are not available for example, or 
> don't want to do it anymore.
> 
> I'm asking for my general idea of having at least two maintainers per 
> "CPython maintenance task":
> http://vstinner.readthedocs.io/cpython_tasks.html
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue33778>
> _______________________________________
msg318906 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-07 07:36
New changeset 4705ea38c900f068fd262aca02943896d1123544 by Ned Deily (Miss Islington (bot)) in branch '3.7':
update to Unicode 11.0.0 (closes bpo-33778) (GH-7439) (GH-7470)
https://github.com/python/cpython/commit/4705ea38c900f068fd262aca02943896d1123544
msg318907 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-06-07 07:36
Merged for 3.7.0rc1
msg318916 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-06-07 09:03
> Sure, where do you think such documentation belongs?

You can start by writing it here.

I don't expect that it's a long process, no?

Maybe the devguide is the good place?
msg318935 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-07 14:17
On Thu, Jun 7, 2018, at 02:03, STINNER Victor wrote:
> 
> STINNER Victor <vstinner@redhat.com> added the comment:
> 
> > Sure, where do you think such documentation belongs?
> 
> You can start by writing it here.

Basically, I update the version in the script (Tools/unicode/makeunicodedata.py), run it, and fix what fails.
msg318939 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-06-07 14:21
New changeset 34b734699b19d826f861b604dd77e82beed95f17 by Benjamin Peterson in branch 'master':
update 3.7 whatsnew entry about Unicode version (GH-7480)
https://github.com/python/cpython/commit/34b734699b19d826f861b604dd77e82beed95f17
msg318946 - (view) Author: miss-islington (miss-islington) Date: 2018-06-07 14:50
New changeset 942b7ff11add8e701e91e4d24abfb35b480161a3 by Miss Islington (bot) in branch '3.7':
update 3.7 whatsnew entry about Unicode version (GH-7480)
https://github.com/python/cpython/commit/942b7ff11add8e701e91e4d24abfb35b480161a3
History
Date User Action Args
2018-06-07 14:50:38miss-islingtonsetnosy: + miss-islington
messages: + msg318946
2018-06-07 14:22:40miss-islingtonsetpull_requests: + pull_request7107
2018-06-07 14:21:31benjamin.petersonsetmessages: + msg318939
2018-06-07 14:17:32benjamin.petersonsetmessages: + msg318935
2018-06-07 14:15:47benjamin.petersonsetpull_requests: + pull_request7104
2018-06-07 09:03:26vstinnersetmessages: + msg318916
2018-06-07 07:36:50ned.deilysetmessages: + msg318907
versions: + Python 3.7
2018-06-07 07:36:24ned.deilysetnosy: + ned.deily
messages: + msg318906
2018-06-07 07:11:24miss-islingtonsetpull_requests: + pull_request7093
2018-06-07 03:14:47benjamin.petersonsetmessages: + msg318879
2018-06-07 03:14:30benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg318878

stage: patch review -> resolved
2018-06-06 08:46:14vstinnersetmessages: + msg318802
2018-06-06 03:28:09benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request7067
2018-06-06 03:10:29benjamin.petersoncreate